### Home Classes Methods

### In Files

- lib/rye.rb

### Parent

Rye::RyeError

### Methods

- ::new
- #exit_status
- #message
- #stderr
- #stdout

### Files

- LICENSE.txt
- README.rdoc

### Class/Module Index

Quicksearch

- Rye
- Rye::Box
- Rye::Box::InstanceExecHelper
- Rye::Cmd
- Rye::CommandNotFound
- Rye::Err
- Rye::Hop
- Rye::Key
- Rye::Key::BadFile
- Rye::Key::BadPerm
- Rye::NoBoxes
- Rye::NoHost
- Rye::NoPassword
- Rye::NoPty
- Rye::NotConnected
- Rye::Rap
- Rye::RyeError
- Rye::Set
- Rye::Tpl
- Rye::VERSION
- Object

No matching classes.

# Rye::Err

### Attributes

rap[R]

### Public Class Methods

new(rap) click to toggle source

- `rap` a Rye::Rap object

    # File lib/rye.rb, line 97
    def initialize(rap)
      @rap = rap
    end

### Public Instance Methods

exit_status() click to toggle source

    # File lib/rye.rb, line 105
    def exit_status; @rap.exit_status if @rap; end

message() click to toggle source

    # File lib/rye.rb, line 100
    def message
      "%s (cmd: %s; status: %s)" % [@rap.stderr.join($/), @rap.cmd, @rap.exit_status]
    end

stderr() click to toggle source

    # File lib/rye.rb, line 103
    def stderr; @rap.stderr if @rap; end

stdout() click to toggle source

    # File lib/rye.rb, line 104
    def stdout; @rap.stdout if @rap; end

[Validate]

Generated with the Darkfish Rdoc Generator 2.